using System;

public class GlobalEventManager
{
    public static event Action<Team> OnCaptureFlag;

    public static void SendCaptureFlag(Team team)
    {
        OnCaptureFlag?.Invoke(team);
    }

    public static event Action OnTimeLeft;
    public static void SendTimeout()
    {
        OnTimeLeft?.Invoke();
    }
}
